/**
 * This helper class holds a configuration and the result that was calculated with this configuration.
 */
package de.huberlin.informatik.wbi.aladin.util;

import java.io.Serializable;
import java.util.Properties;
import java.util.Vector;

import de.huberlin.informatik.wbi.aladin.intraschema.ForeignKey;

/**
 * @author Oliver Albrecht (oliver.albrecht@informatik.hu-berlin.de)
 *
 */
public class ForeignKeyFinderResult implements Serializable 
{
	private static final long serialVersionUID = -3194183570453611178L;
	
	private Properties propertie;
	private Vector<ForeignKey> result;
	
	public ForeignKeyFinderResult(Properties propertie, Vector<ForeignKey> result)
	{
		this.propertie = propertie;
		this.result = result;
	}
	

	/**
	 * @return the propertie
	 */
	public Properties getPropertie() {
		return this.propertie;
	}

	/**
	 * @param propertie the propertie to set
	 */
	public void setPropertie(Properties propertie) {
		this.propertie = propertie;
	}

	/**
	 * @return the result
	 */
	public Vector<ForeignKey> getResult() {
		return this.result;
	}

	/**
	 * @param result the result to set
	 */
	public void setResult(Vector<ForeignKey> result) {
		this.result = result;
	}
}
